> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flexprice.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List all subscription schedules

> Use when listing or searching scheduled changes across subscriptions (e.g. admin view). Returns schedules with optional filtering.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/subscription-schedules
openapi: 3.0.1
info:
  title: Flexprice API
  description: Flexprice API Service
  contact:
    name: API Support
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1.0'
servers:
  - url: https://us.api.flexprice.io/v1
    description: US Region
  - url: https://api.cloud.flexprice.io/v1
    description: India Region
security: []
paths:
  /v1/subscription-schedules:
    get:
      tags:
        - Subscriptions
      summary: List all subscription schedules
      description: >-
        Use when listing or searching scheduled changes across subscriptions
        (e.g. admin view). Returns schedules with optional filtering.
      operationId: listAllSubscriptionSchedules
      parameters:
        - name: pending_only
          in: query
          description: Filter to pending schedules only
          schema:
            type: boolean
        - name: subscription_id
          in: query
          description: Filter by subscription ID
          schema:
            type: string
        - name: limit
          in: query
          description: Limit results
          schema:
            type: integer
        - name: offset
          in: query
          description: Offset for pagination
          schema:
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetPendingSchedulesResponse'
components:
  schemas:
    GetPendingSchedulesResponse:
      type: object
      properties:
        count:
          type: integer
          description: count is the number of pending schedules
        schedules:
          type: array
          description: schedules is the list of pending schedules
          items:
            $ref: '#/components/schemas/SubscriptionScheduleResponse'
      description: List of pending schedules for a subscription
    SubscriptionScheduleResponse:
      type: object
      properties:
        can_be_cancelled:
          type: boolean
          description: can_be_cancelled indicates if the schedule can be cancelled
        cancelled_at:
          type: string
          description: cancelled_at is when the schedule was cancelled
          format: date-time
        configuration:
          type: object
          description: >-
            configuration contains type-specific configuration (e.g.,
            target_plan_id for plan changes)
        created_at:
          type: string
          description: created_at timestamp
          format: date-time
        days_until_execution:
          type: integer
          description: days_until_execution is the number of days until execution
        error_message:
          type: string
          description: error_message contains the error if execution failed
        executed_at:
          type: string
          description: executed_at is when the schedule was executed
          format: date-time
        execution_result:
          type: object
          description: execution_result contains type-specific execution result
        id:
          type: string
          description: id of the schedule
        metadata:
          type: object
          additionalProperties:
            type: string
          description: metadata from the schedule
        schedule_type:
          $ref: '#/components/schemas/types.SubscriptionScheduleChangeType'
        scheduled_at:
          type: string
          description: scheduled_at is when the schedule will execute
          format: date-time
        status:
          $ref: '#/components/schemas/types.ScheduleStatus'
        subscription_id:
          type: string
          description: subscription_id is the ID of the subscription
        updated_at:
          type: string
          description: updated_at timestamp
          format: date-time
      description: Full details of a subscription schedule
    types.SubscriptionScheduleChangeType:
      type: string
      enum:
        - plan_change
        - cancellation
      x-enum-varnames:
        - SubscriptionScheduleChangeTypePlanChange
        - SubscriptionScheduleChangeTypeCancellation
      x-speakeasy-name-override: SubscriptionScheduleChangeType
    types.ScheduleStatus:
      type: string
      enum:
        - pending
        - executing
        - executed
        - cancelled
        - failed
      x-enum-varnames:
        - ScheduleStatusPending
        - ScheduleStatusExecuting
        - ScheduleStatusExecuted
        - ScheduleStatusCancelled
        - ScheduleStatusFailed
      x-speakeasy-name-override: ScheduleStatus

````